Subject: [scim] externalId - How to distinguish between client's tenants

From: Thorsten Roßner <[email-masked]>
Date: Tue, 07 May 2013 10:22:02 +0200

Hi All,

can someone please help me understanding the Common Schema's "externalId"?

My current understanding:

- The externalId for a resource can be stored - if provided - for each
Service Consumer's tenant (or if a SC doesn't support tenants, the
externalId is stored for each SC's instance). A single SCIM resource
thereby can have multiple externalIds (depending on the number of
consumer tenants or instances).

The question that derives from my understanding:

- How can the SP differentiate between tenants of an SC in order to
respect the following quote from the specification: "The Service
Provider MUST always interpret the externalId as scoped to the Service
Consumer's tenant."?

Or is the differentiation outside the scope of the SCIM spec?

Thanks & cheers
Thorsten